# Method: threatLists.list

- [HTTP request](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#body.request_body)
- [Response body](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#body.ListThreatListsResponse.SCHEMA_REPRESENTATION)
- [ThreatListDescriptor](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#ThreatListDescriptor)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#ThreatListDescriptor.SCHEMA_REPRESENTATION)

Lists the Safe Browsing threat lists available for download.

### HTTP request

`GET https://safebrowsing.googleapis.com/v4/threatLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "threatLists": [ { object (`https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#ThreatListDescriptor`) } ] } ``` |

| Fields ||
|---|---|
| `threatLists[]` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v4/threatLists/list#ThreatListDescriptor`)`` The lists available for download by the client. |

## ThreatListDescriptor

Describes an individual threat list. A list is defined by three parameters: the type of threat posed, the type of platform targeted by the threat, and the type of entries in the list.

| JSON representation |
|---|
| ``` { "threatType": enum (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatType`), "platformType": enum (`https://developers.google.com/safe-browsing/reference/rest/v4/PlatformType`), "threatEntryType": enum (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatEntryType`) } ``` |

| Fields ||
|---|---|
| `threatType` | ``enum (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatType`)`` The threat type posed by the list's entries. |
| `platformType` | ``enum (`https://developers.google.com/safe-browsing/reference/rest/v4/PlatformType`)`` The platform type targeted by the list's entries. |
| `threatEntryType` | ``enum (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatEntryType`)`` The entry types contained in the list. |